Indexes all the documents for the employee

Authentication

This endpoint accepts any one of the following token types:

  • Employee-scoped access token (OAuth2Assertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant. See OAuth Assertion.
  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by the employee through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.

Scopes

Any one of the scopes in a token type's row is enough. all:read and all:write work too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Employee-scoped access tokenManage employment documents (employment_documents)View documents (document:read)Manage documents (document:write)
Company-scoped access tokenManage employment documents (employment_documents)View documents (document:read)Manage documents (document:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 1
Defaults to 1

Starts fetching records after the given page

integer
≥ 1
Defaults to 20

Number of items per page

string

Filter documents by their description or file name, accepts full and partial case insensitive matches

date

Filters the results that were uploaded on or after a given date

date

Filters the results that were uploaded before a given date

string
enum

Field to sort by

string
enum

Sort order

Allowed:
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json